# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "oily_png"
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Willem van Bergen"]
  s.date = "2013-02-15"
  s.description = "    This Ruby C extenstion defines a module that can be included into ChunkyPNG to improve its speed.\n"
  s.email = ["willem@railsdoctors.com"]
  s.extensions = ["ext/oily_png/extconf.rb"]
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = [".gitignore", ".infinity_test", ".travis.yml", "Gemfile", "LICENSE", "README.rdoc", "Rakefile", "ext/oily_png/color.c", "ext/oily_png/color.h", "ext/oily_png/extconf.rb", "ext/oily_png/oily_png_ext.c", "ext/oily_png/oily_png_ext.h", "ext/oily_png/operations.c", "ext/oily_png/operations.h", "ext/oily_png/png_decoding.c", "ext/oily_png/png_decoding.h", "ext/oily_png/png_encoding.c", "ext/oily_png/png_encoding.h", "ext/oily_png/resampling.c", "ext/oily_png/resampling.h", "lib/oily_png.rb", "lib/oily_png/canvas.rb", "oily_png.gemspec", "spec/color_spec.rb", "spec/decoding_spec.rb", "spec/encoding_spec.rb", "spec/operations_spec.rb", "spec/resampling_spec.rb", "spec/resources/basi0g01.png", "spec/resources/basi0g02.png", "spec/resources/basi0g04.png", "spec/resources/basi0g08.png", "spec/resources/basi0g16.png", "spec/resources/basi2c08.png", "spec/resources/basi2c16.png", "spec/resources/basi3p01.png", "spec/resources/basi3p02.png", "spec/resources/basi3p04.png", "spec/resources/basi3p08.png", "spec/resources/basi4a08.png", "spec/resources/basi4a16.png", "spec/resources/basi6a08.png", "spec/resources/basi6a16.png", "spec/resources/basn0g01.png", "spec/resources/basn0g02.png", "spec/resources/basn0g04.png", "spec/resources/basn0g08.png", "spec/resources/basn0g16.png", "spec/resources/basn2c08.png", "spec/resources/basn2c16.png", "spec/resources/basn3p01.png", "spec/resources/basn3p02.png", "spec/resources/basn3p04.png", "spec/resources/basn3p08.png", "spec/resources/basn4a08.png", "spec/resources/basn4a16.png", "spec/resources/basn6a08.png", "spec/resources/basn6a16.png", "spec/resources/composited.png", "spec/resources/gray.png", "spec/resources/interlaced.png", "spec/resources/nonsquare.png", "spec/resources/operations.png", "spec/resources/replaced.png", "spec/resources/s01i3p01.png", "spec/resources/s01n3p01.png", "spec/resources/s02i3p01.png", "spec/resources/s02n3p01.png", "spec/resources/s03i3p01.png", "spec/resources/s03n3p01.png", "spec/resources/s04i3p01.png", "spec/resources/s04n3p01.png", "spec/resources/s05i3p02.png", "spec/resources/s05n3p02.png", "spec/resources/s06i3p02.png", "spec/resources/s06n3p02.png", "spec/resources/s07i3p02.png", "spec/resources/s07n3p02.png", "spec/resources/s08i3p02.png", "spec/resources/s08n3p02.png", "spec/resources/s09i3p02.png", "spec/resources/s09n3p02.png", "spec/resources/s32i3p04.png", "spec/resources/s32n3p04.png", "spec/resources/s33i3p04.png", "spec/resources/s33n3p04.png", "spec/resources/s34i3p04.png", "spec/resources/s34n3p04.png", "spec/resources/s35i3p04.png", "spec/resources/s35n3p04.png", "spec/resources/s36i3p04.png", "spec/resources/s36n3p04.png", "spec/resources/s37i3p04.png", "spec/resources/s37n3p04.png", "spec/resources/s38i3p04.png", "spec/resources/s38n3p04.png", "spec/resources/s39i3p04.png", "spec/resources/s39n3p04.png", "spec/resources/s40i3p04.png", "spec/resources/s40n3p04.png", "spec/resources/square.png", "spec/resources/tbbn1g04.png", "spec/resources/tbbn2c16.png", "spec/resources/tbbn3p08.png", "spec/resources/tbgn2c16.png", "spec/resources/tbgn3p08.png", "spec/resources/tbrn2c08.png", "spec/resources/tbwn1g16.png", "spec/resources/tbwn3p08.png", "spec/resources/tbyn3p08.png", "spec/resources/tp0n1g08.png", "spec/resources/tp0n2c08.png", "spec/resources/tp0n3p08.png", "spec/resources/tp1n3p08.png", "spec/spec_helper.rb", "tasks/github-gem.rake", "tasks/testing.rake"]
  s.homepage = "http://wiki.github.com/wvanbergen/oily_png"
  s.rdoc_options = ["--title", "oily_png", "--main", "README.rdoc", "--line-numbers", "--inline-source"]
  s.require_paths = ["lib", "ext"]
  s.rubyforge_project = "oily_png"
  s.rubygems_version = "1.8.23"
  s.summary = "Native mixin to speed up ChunkyPNG"
  s.test_files = ["spec/color_spec.rb", "spec/decoding_spec.rb", "spec/encoding_spec.rb", "spec/operations_spec.rb", "spec/resampling_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<chunky_png>, ["~> 1.2.7"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rake-compiler>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2"])
    else
      s.add_dependency(%q<chunky_png>, ["~> 1.2.7"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rake-compiler>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2"])
    end
  else
    s.add_dependency(%q<chunky_png>, ["~> 1.2.7"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rake-compiler>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2"])
  end
end
